imagefilledarc
imagefilledpolygon
GD and Image Functions
PHP Manual

# imagefilledellipse

Draw a filled ellipse

### Description

bool imagefilledellipse ( resource `$image` , int `$cx` , int `$cy` , int `$width` , int `$height` , int `$color` )

Draws an ellipse centered at the specified coordinate on the given `image`.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor.

`cx`

  x-coordinate of the center.

`cy`

  y-coordinate of the center.

`width`

  The ellipse width.

`height`

  The ellipse height.

`color`

  The fill color. A color identifier created with imagecolorallocate.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 imagefilledellipse example

`<?php
// create a blank image
$image = imagecreatetruecolor(400, 300);
// fill the background color
$bg = imagecolorallocate($image, 0, 0, 0);
// choose a color for the ellipse
$col_ellipse = imagecolorallocate($image, 255, 255, 255);
// draw the white ellipse
imagefilledellipse($image, 200, 150, 300, 200, $col_ellipse);
// output the picture
header("Content-type: image/png");
imagepng($image);
?>`

The above example will output something similar to:

### Notes

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

### See Also

- imageellipse
- imagefilledarc